AuthenticatorBase.AuthenticationResult (Apache Tomcat 11.0.25 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: AuthenticatorBase, enum: AuthenticationResult

# Enum Class AuthenticatorBase.AuthenticationResult

java.lang.Object
java.lang.Enum<AuthenticatorBase.AuthenticationResult>
org.apache.catalina.authenticator.AuthenticatorBase.AuthenticationResult

All Implemented Interfaces:
  `Serializable, Comparable<AuthenticatorBase.AuthenticationResult>, Constable`

Enclosing class:
  `AuthenticatorBase`

protected static enum AuthenticatorBase.AuthenticationResult extends Enum<AuthenticatorBase.AuthenticationResult>
Used to pass authentication results that are more complex than a simple pass/fail.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FAILED`
  The authentication failed.
  `PASSED`
  The authentication was successful.
  `PASSED_CONSTRAINTS_NEED_REFRESH`
  The authentication was successful but before proceeding the constraints need to be refreshed because one or more relevant properties of the request (method, URI) have changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAuthenticated()`
  `static AuthenticatorBase.AuthenticationResult`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthenticatorBase.AuthenticationResult[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FAILED

    public static final AuthenticatorBase.AuthenticationResult FAILED
    The authentication failed.

  - ### PASSED_CONSTRAINTS_NEED_REFRESH

    public static final AuthenticatorBase.AuthenticationResult PASSED_CONSTRAINTS_NEED_REFRESH
    The authentication was successful but before proceeding the constraints need to be refreshed because one or more relevant properties of the request (method, URI) have changed.

  - ### PASSED

    public static final AuthenticatorBase.AuthenticationResult PASSED
    The authentication was successful.

- ## Method Details

  - ### values

    public static AuthenticatorBase.AuthenticationResult[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthenticatorBase.AuthenticationResult valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getAuthenticated

    public boolean getAuthenticated()